Main Page Widgets Namespaces Book

# Glib::StaticRecMutex Struct Reference
[Threads]

Like Glib::RecMutex, but can be defined at compile time. More...

Inheritance diagram for Glib::StaticRecMutex:

[legend]
List of all members.

## Public Member Functions

void | lock ()
bool | trylock ()
void | unlock ()
void | lock_full (unsigned int depth)
unsigned int | unlock_full ()
| operator RecMutex& ()
GStaticRecMutex* | gobj ()

## Related Functions

(Note that these are not member functions.)
| GLIBMM_STATIC_REC_MUTEX_INIT
| Initializer macro for Glib::StaticRecMutex.

## Detailed Description

Like Glib::RecMutex, but can be defined at compile time.

Use `GLIBMM_STATIC_REC_MUTEX_INIT` to initialize a StaticRecMutex:

     Glib::StaticRecMutex mutex = GLIBMM_STATIC_REC_MUTEX_INIT;

A StaticRecMutex can be used without calling Glib::thread_init(), it will silently do nothing then. That will also work when using the implicit conversion to RecMutex&, thus you can safely use RecMutex::Lock with a StaticRecMutex.

## Member Function Documentation

GStaticRecMutex* Glib::StaticRecMutex::gobj | ( |  | ) | `[inline]`

void Glib::StaticRecMutex::lock | ( |  | ) |

void Glib::StaticRecMutex::lock_full | ( | unsigned int | depth | ) |

Glib::StaticRecMutex::operator RecMutex& | ( |  | ) |

bool Glib::StaticRecMutex::trylock | ( |  | ) |

void Glib::StaticRecMutex::unlock | ( |  | ) |

unsigned int Glib::StaticRecMutex::unlock_full | ( |  | ) |

## Friends And Related Function Documentation

GLIBMM_STATIC_REC_MUTEX_INIT`[related]`

| Initializer macro for Glib::StaticRecMutex.

The documentation for this struct was generated from the following file:

- thread.h